## ECalBackendCache

ECalBackendCache — Cache for calendar backends.

## Synopsis

                        ECalBackendCache;
    ECalBackendCache*   e_cal_backend_cache_new             (const char *uri,
                                                             ECalSourceType source_type);
    ECalComponent*      e_cal_backend_cache_get_component   (ECalBackendCache *cache,
                                                             const char *uid,
                                                             const char *rid);
    gboolean            e_cal_backend_cache_put_component   (ECalBackendCache *cache,
                                                             ECalComponent *comp);
    gboolean            e_cal_backend_cache_remove_component
                                                            (ECalBackendCache *cache,
                                                             const char *uid,
                                                             const char *rid);
    GList*              e_cal_backend_cache_get_components  (ECalBackendCache *cache);
    GSList*             e_cal_backend_cache_get_components_by_uid
                                                            (ECalBackendCache *cache,
                                                             const char *uid);
    const icaltimezone* e_cal_backend_cache_get_timezone    (ECalBackendCache *cache,
                                                             const char *tzid);
    gboolean            e_cal_backend_cache_put_timezone    (ECalBackendCache *cache,
                                                             const icaltimezone *zone);
    gboolean            e_cal_backend_cache_remove_timezone (ECalBackendCache *cache,
                                                             const char *tzid);
    gboolean            e_cal_backend_cache_put_default_timezone
                                                            (ECalBackendCache *cache,
                                                             icaltimezone *default_zone);
    icaltimezone*       e_cal_backend_cache_get_default_timezone
                                                            (ECalBackendCache *cache);
    GSList*             e_cal_backend_cache_get_keys        (ECalBackendCache *cache);
    const char*         e_cal_backend_cache_get_marker      (ECalBackendCache *cache);
    void                e_cal_backend_cache_set_marker      (ECalBackendCache *cache);
    gboolean            e_cal_backend_cache_put_server_utc_time
                                                            (ECalBackendCache *cache,
                                                             const char *utc_str);
    const char*         e_cal_backend_cache_get_server_utc_time
                                                            (ECalBackendCache *cache);
    gboolean            e_cal_backend_cache_put_key_value   (ECalBackendCache *cache,
                                                             const char *key,
                                                             const char *value);
    const char*         e_cal_backend_cache_get_key_value   (ECalBackendCache *cache,
                                                             const char *key);

## Object Hierarchy

      GObject
       +----EFileCache
             +----ECalBackendCache

## Properties

      "source-type"              ECalSourceTypeEnum    : Read / Write / Construct Only
      "uri"                      gchar*                : Read / Write / Construct Only

## Description

## Details

### ECalBackendCache

    typedef struct _ECalBackendCache ECalBackendCache;

### e_cal_backend_cache_new ()

    ECalBackendCache*   e_cal_backend_cache_new             (const char *uri,
                                                             ECalSourceType source_type);

`uri` : |
`source_type` : |
Returns : |

### e_cal_backend_cache_get_component ()

    ECalComponent*      e_cal_backend_cache_get_component   (ECalBackendCache *cache,
                                                             const char *uid,
                                                             const char *rid);

`cache` : |
`uid` : |
`rid` : |
Returns : |

### e_cal_backend_cache_put_component ()

    gboolean            e_cal_backend_cache_put_component   (ECalBackendCache *cache,
                                                             ECalComponent *comp);

`cache` : |
`comp` : |
Returns : |

### e_cal_backend_cache_remove_component ()

    gboolean            e_cal_backend_cache_remove_component
                                                            (ECalBackendCache *cache,
                                                             const char *uid,
                                                             const char *rid);

`cache` : |
`uid` : |
`rid` : |
Returns : |

### e_cal_backend_cache_get_components ()

    GList*              e_cal_backend_cache_get_components  (ECalBackendCache *cache);

`cache` : |
Returns : |

### e_cal_backend_cache_get_components_by_uid ()

    GSList*             e_cal_backend_cache_get_components_by_uid
                                                            (ECalBackendCache *cache,
                                                             const char *uid);

`cache` : |
`uid` : |
Returns : |

### e_cal_backend_cache_get_timezone ()

    const icaltimezone* e_cal_backend_cache_get_timezone    (ECalBackendCache *cache,
                                                             const char *tzid);

`cache` : |
`tzid` : |
Returns : |

### e_cal_backend_cache_put_timezone ()

    gboolean            e_cal_backend_cache_put_timezone    (ECalBackendCache *cache,
                                                             const icaltimezone *zone);

`cache` : |
`zone` : |
Returns : |

### e_cal_backend_cache_remove_timezone ()

    gboolean            e_cal_backend_cache_remove_timezone (ECalBackendCache *cache,
                                                             const char *tzid);

`cache` : |
`tzid` : |
Returns : |

### e_cal_backend_cache_put_default_timezone ()

    gboolean            e_cal_backend_cache_put_default_timezone
                                                            (ECalBackendCache *cache,
                                                             icaltimezone *default_zone);

`cache` : |
`default_zone` : |
Returns : |

### e_cal_backend_cache_get_default_timezone ()

    icaltimezone*       e_cal_backend_cache_get_default_timezone
                                                            (ECalBackendCache *cache);

`cache` : |
Returns : |

### e_cal_backend_cache_get_keys ()

    GSList*             e_cal_backend_cache_get_keys        (ECalBackendCache *cache);

`cache` : |
Returns : |

### e_cal_backend_cache_get_marker ()

    const char*         e_cal_backend_cache_get_marker      (ECalBackendCache *cache);

`cache` : |
Returns : |

### e_cal_backend_cache_set_marker ()

    void                e_cal_backend_cache_set_marker      (ECalBackendCache *cache);

`cache` : |

### e_cal_backend_cache_put_server_utc_time ()

    gboolean            e_cal_backend_cache_put_server_utc_time
                                                            (ECalBackendCache *cache,
                                                             const char *utc_str);

`cache` : |
`utc_str` : |
Returns : |

### e_cal_backend_cache_get_server_utc_time ()

    const char*         e_cal_backend_cache_get_server_utc_time
                                                            (ECalBackendCache *cache);

`cache` : |
Returns : |

### e_cal_backend_cache_put_key_value ()

    gboolean            e_cal_backend_cache_put_key_value   (ECalBackendCache *cache,
                                                             const char *key,
                                                             const char *value);

`cache` : |
`key` : |
`value` : |
Returns : |

### e_cal_backend_cache_get_key_value ()

    const char*         e_cal_backend_cache_get_key_value   (ECalBackendCache *cache,
                                                             const char *key);

`cache` : |
`key` : |
Returns : |

## Property Details

### The `"source-type"` property

      "source-type"              ECalSourceTypeEnum    : Read / Write / Construct Only

Default value: Event

### The `"uri"` property

      "uri"                      gchar*                : Read / Write / Construct Only

Default value: ""